Get a course outline
curl --request GET \
--url https://api.vacademy.ai/catalog/v1/courses/{id}/outline \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.vacademy.ai/catalog/v1/courses/{id}/outline', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.vacademy.ai/catalog/v1/courses/{id}/outline"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"levels": [
{
"package_session_id": "92e89046-5865-4cf7-bea6-ac1e8b7bd328",
"level": null,
"subjects": [
{
"id": "b1f6a0c2-3d4e-4f50-8a1b-2c3d4e5f6a7b",
"name": "Vedic Parenting",
"modules": [
{
"id": "c2a7b1d3-4e5f-4061-9b2c-3d4e5f6a7b8c",
"name": "The Panchakosha system",
"chapters": [
{
"id": "d3b8c2e4-5f60-4172-ac3d-4e5f6a7b8c9d",
"name": "Why parenting is a science"
},
{
"id": "e4c9d3f5-6071-4283-bd4e-5f6a7b8c9d0e",
"name": "The five sheaths"
}
]
}
]
}
]
}
]
}Courses
Get a course outline
Subject, module and chapter titles of each version (no content). Cached for 5 minutes. With language, only that language’s versions (all versions if it has none).
Scope: catalog:read. Cacheable for 60 s.
GET
/
courses
/
{id}
/
outline
Get a course outline
curl --request GET \
--url https://api.vacademy.ai/catalog/v1/courses/{id}/outline \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.vacademy.ai/catalog/v1/courses/{id}/outline', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.vacademy.ai/catalog/v1/courses/{id}/outline"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"levels": [
{
"package_session_id": "92e89046-5865-4cf7-bea6-ac1e8b7bd328",
"level": null,
"subjects": [
{
"id": "b1f6a0c2-3d4e-4f50-8a1b-2c3d4e5f6a7b",
"name": "Vedic Parenting",
"modules": [
{
"id": "c2a7b1d3-4e5f-4061-9b2c-3d4e5f6a7b8c",
"name": "The Panchakosha system",
"chapters": [
{
"id": "d3b8c2e4-5f60-4172-ac3d-4e5f6a7b8c9d",
"name": "Why parenting is a science"
},
{
"id": "e4c9d3f5-6071-4283-bd4e-5f6a7b8c9d0e",
"name": "The five sheaths"
}
]
}
]
}
]
}
]
}Authorizations
ApiKeyBearer
Your publishable Catalogue API key (vak_pub_…).
Path Parameters
Query Parameters
A code from GET /site languages. Shows that language's version of the course (title, url, price). Ignored when the site has course languages off.
Response
The outline.
One entry per version (all versions, or those in language).
Show child attributes
Show child attributes